Database Upgrade
Incident Report for Flying Sphinx
Resolved
The CVE patch is in place, but the upgrading of PostgreSQL versions is looking to take much longer (6+ hours), and will be done at another time. This incident is considered resolved.
Posted over 1 year ago. Feb 28, 2016 - 16:50 AEDT
Update
Upgrade continues, but the API is available again. If/when there's any further downtime, will update here accordingly.
Posted over 1 year ago. Feb 28, 2016 - 15:34 AEDT
Identified
Due to both CVE-2015-7547 and Heroku deprecating PG 9.1, the database for the Flying Sphinx API will be upgraded over the course of the next two hours. During this time, the API will not be available (and so indexing requests will fail, as will requests to stop/start daemons) but search daemons will continue to respond to search requests uninterrupted.
Posted over 1 year ago. Feb 28, 2016 - 14:38 AEDT